package com.university;

import java.util.ArrayList;

public class Department {
	private String name;
	private ArrayList<Student> students = new ArrayList<>();
	private ArrayList<Course> courses = new ArrayList<>();
	private ArrayList<Professor> professors = new ArrayList<>();

	public Department(String name) {
		this.name = name;
	}

	public String getName(){
		return this.name;
	}

	public void addStudent(Student student){
		if(student.getDepartment() == this)
			students.add(student);
	}

	public Student[] getStudents(){
		Student[] arr = new Student[students.size()];
		return students.toArray(arr);
	}

	public void removeStudent(Student student){
		if(student.getDepartment() != this)
			return;
		for(int i=0;i<students.size();i++) {
			if(students.get(i) ==  student) {
				students.remove(student);
				break;
			}
		}
	}

	public void addCourse(Course course){
		if(course.getDepartment() == this)
			courses.add(course);
	}

	public Course[] getCourses(){
		Course[] arr = new Course[courses.size()];
		return courses.toArray(arr);
	}

	public void removeCourse(Course course){
		if(course.getDepartment() != this)
			return;
		for(int i=0;i<courses.size();i++) 
			if(courses.get(i) ==  course) {
				courses.remove(course);
				break;
			} 
	}

	public void addProfessor(Professor professor){
		if(professor.getDepartment() == this)
			professors.add(professor);
		if(professor.getDepartment() != this)
			return;
	}

	public Professor[] getProfessors(){
		Professor[] arr = new Professor[professors.size()];
		return professors.toArray(arr);
	}

	public void removeProfessor(Professor professor){
		if(professor.getDepartment() != this)
    		return;
    	for(int i=0;i<professors.size();i++) {
    		if(professors.get(i) ==  professor) {
    			professors.remove(professor);
    			break;
    		}
    	}
	}

}
